// file CFormatBook.h

// definizioni macro che identificano tipologia testo

#define TXT		0
#define RTF		1
#define HTML	2

#define NOCR			0
#define CR				1
#define START_MODE	2
#define RESET_STR		3

class CFormatBook
{
private:
	CString m_strTesto;
	CString m_strHeader;
	CString m_strFootnote;
	int m_iType;
public:
	void Init(int type, int mode=START_MODE);
	void End(int session);
	void SetHeader(CString header);
	void WriteItalic(CString row,int cr=NOCR);
	void WriteBolt(CString row,int cr=NOCR);
	void Write(CString row,int cr=NOCR);
	void WriteTitle(CString row);
	void InsertPage();
	CString ReturnString();
protected:
	//WriteFontTable();
};